Ticket #38 (closed enhancement: fixed)

Opened 6 years ago

Last modified 6 years ago

DNS checks

Reported by: jesus Assigned to: jesus
Priority: major Milestone: Ploy
Component: noitd Severity:
Keywords: Cc:

Description

Implement DNS checks.

At least IN, PTR, A, MX, but hopefully we can support arbitrary RRs.

Change History

(follow-up: ↓ 4 ) 07/06/08 15:43:21 changed by jesus

  • status changed from new to assigned.

Looking at ares. Looks to have been forked into a c-ares. However, libudns looks nicer and much less complex.

Also, we need two types of checks here. One that targets a DNS server and can perform arbitrary checks (IN, A, etc. etc.)

<check module="dns" name="labs.omniti.com`MX">
<config>
  <nameserver>$[target]</nameserver>
  <query>labs.omniti.com</query>
  <rtype>MX</rtype> (default A when name not "in-addr.arpa")
  <ctype>IN</ctype> (default IN)
</config>
</check>

We need another that targets a regular host (IP) and provides only PTR services. That way we can attach a name to every target we have. This is an in-addr.arpa query.

<check module="dns" name="in-addr.arpa">
<config>
  <nameserver>IP</nameserver> (optional, uses default host resolution path)
  <query>$[:dotrev:target]</query>
  <rtype>PTR</rtype> (default PTR when name="in-addr.arpa")
  <ctype>IN</ctype> (default IN)
</config>
</check>

"off-the-cuff config setup"

07/06/08 15:55:46 changed by jesus

(In [327]) branch for possible udns integration, refs #38

07/06/08 17:20:27 changed by jesus

(In [328]) initial checkin of udns 0.0.9, refs #38

(in reply to: ↑ 1 ; follow-up: ↓ 8 ) 07/07/08 17:41:11 changed by jesus

Replying to jesus:

<nameserver>$[target]</nameserver>

Should be <nameserver>%{target}</nameserver>

<query>$[:dotrev:target]</query>

Should be <query>%{:inaddrarpa:target}.in-addr.arpa</query>

07/09/08 16:38:17 changed by jesus

(In [329]) tiny patches to udns, implement dns checking as a module, refs #38

07/09/08 16:46:01 changed by jesus

(In [330]) dns module itself, refs #38

07/09/08 16:47:28 changed by jesus

  • status changed from assigned to closed.
  • resolution set to fixed.

(in reply to: ↑ 4 ) 07/09/08 17:11:14 changed by jesus

Replying to jesus:

Replying to jesus:

<nameserver>$[target]</nameserver>

Should be <nameserver>%{target}</nameserver>

<query>$[:dotrev:target]</query>

Should be <query>%{:inaddrarpa:target}.in-addr.arpa</query>

Uh.. we were close the first time:

%[target] and %[:inaddrarpa:target].in-addr.arpa

07/12/08 14:38:55 changed by jesus

(In [342]) forgot this... manual hack on Makefile target udns_codes.c, refs #38